Gimp 2.8

29 risposte [Ultimo messaggio]
Ritratto di Templare
Templare
(Collaboratore)
Offline
Collaboratore
Iscritto: 28/10/2011
Messaggi: 747

metallaro1980 ha scritto:

alla fine ce l'ho fatta
anche perchè ho cambiato due righe di codice...
mo il brush_size quello dove c'e' la fraccia su e giu..non aumenta di 20.00 20.01 20.02 ma aumenta di 20.00 21.00 etc e il default brush l'ho messo a 50.
ho ricompilato make make install..preferisco così

Devo complimentarmi e ringraziarti per le tue capacità nella compilazione (e pazienza) e per averlo condiviso qui sul nostro forum, oltre che ad aver scelto la nostra amata openSUSE (a proposito, come mai openSUSE e non Ubuntu?)

Possiamo mettere un risolto al tuo post?

Assemblato 1: Phenom II X4 965 Black Edition + AMD Radeon HD 5770 + Scheda Madre Asus Crosshair IV Formula + Scheda Audio Asus Xonar D2X. Sistema Windows 7 Ultimate 64 Bit
Assemblato 3: Intel Core i3 3220 + nVIDIA Geforce 640 GT. Sistema openSUSE 13.1 64 bit GNOME

Ritratto di metallaro1980
metallaro1980
(Junior)
Offline
Junior
Iscritto: 07/04/2012
Messaggi: 21

sisi ..metti pure su risolto
openSUSE? la conosco già dai tempi di quando c'era linux SUSE sui cd e mi sono sempre trovato bene...
mi piace il kde ... gnome non riesco a mandarlo giu.
ho provato ad instalare ubuntu (kubuntu)..però, mi ha dato dei problemi di stabilità.
mi sono compilato anche gambas ...ho mysql..apache..attivi..mi diletto un pò.. Big Grin

per un'ottima compilazione
compilare
glib 2.30.3
gtk 2.24.10
gdk-pixbuf 2.26.1
queste specialmente le gtk è meglio installarle nella cartella /usr/lib64...
dopo di che ho modificato il file /etc/ld.so.conf ho aggiunto la voce cartella /usr/lib64
ho dato ldconfig...
dopo di che bisogna installare le varie librerie per gimp...jpeg2000 le lib per postscript etc
andate nella cartella di gimp e date .configure se tutto ok arriverete a trovarvi + o - alla fine del configure dove vi dice quali lib verranno implementate...

Extra Binaries:
gimp-console: yes

Optional Features:
D-Bus service: yes
Language selection: no (iso-codes package not found)

Optional Plug-Ins:
Ascii Art: no (AA library not found)
Compressor: yes
Ghostscript: yes
Help Browser: yes
LCMS: yes
JPEG: yes
JPEG 2000: yes
MNG: yes
PDF (import): yes
PDF (export): yes
PNG: yes
Print: yes
PSP: yes
Python: yes
Script-Fu: yes
SVG: no (librsvg not found)
TIFF: yes
TWAIN (MacOS X): no
TWAIN (Win32): no
URI: yes (using GIO/GVfs)
Webpage: yes
Windows ICO: yes
WMF: yes
XJT: yes
X11 Mouse Cursor: yes
XPM: yes

Plug-In Features:
EXIF support: yes

Optional Modules:
ALSA (MIDI Input): yes
Linux Input: yes (GUdev support: yes)
DirectInput (Win32): no
Color Correction: yes
Soft Proof: yes

Tests:
Use xvfb-run no (not found)

date poi make e poi make install.

(ora che ricordo meglio ho dovuto installare anche i python headers)

Ritratto di metallaro1980
metallaro1980
(Junior)
Offline
Junior
Iscritto: 07/04/2012
Messaggi: 21

cartella principale sorgenti/app/paint/gimppaintoptions.c
#define DEFAULT_BRUSH_SIZE 50.0
#define DEFAULT_BRUSH_ASPECT_RATIO 0.0
#define DEFAULT_BRUSH_ANGLE 0.0

gimppaintoptions-gui.c

scale = gimp_prop_spin_scale_new (config, "brush-size",
_("Size"),
1, 1.0, 2);

in origine era
scale = gimp_prop_spin_scale_new (config, "brush-size",
_("Size"),
0.01, 1.0, 2);

Ritratto di metallaro1980
metallaro1980
(Junior)
Offline
Junior
Iscritto: 07/04/2012
Messaggi: 21

ragazzi sono riuscito a fare funzionare export e salva nello stesso tempo..
praticamente ho modificato il codice ora facendo su save as...è possibile scegliere jpeg ed altri formati...e funziona anche xcf...
facendo su export invece non è + possibile usarlo così ho levato i sotto-menu export dal manu file

Ritratto di flo70
flo70
(Junior)
Offline
Junior
Iscritto: 17/07/2012
Messaggi: 11

ciao a tutti,
ho da poco installato Gimp 2.8 su Opensuse 12.1, ho effettuato come richiesto l'aggiornamento delle librerie libgimp e non ho avuto problemi di funzionamento di mozzilla o Chrome. tuttavia aprendo Gimp noto una cosa strana: i menu sono in parte in lingua inglese e in parte in lingua italiana (poco male ma mi piacerebbe capire perchè). il programma comunque crasha inevitabilmente quando accedo a qualunque comando del menu colors per esempio "colors>livelli..." nel senso che apro il menu a tendina colors ma quando clicco su "livelli..." la finestra del programma si chiude senza avvisi. qualcuno mi può aiutare a risolvere il problema?

Ritratto di aksaf
aksaf
(Guru)
Offline
Guru
Iscritto: 08/03/2011
Messaggi: 957

Non riscontro quel problema con gimp 2.8 da repo home:/openSUSE_user1 (dato che sul repo della comunità GNOME:Apps il 2.8 ancora non c'è, attenzione comunque ad usare repo extra se si decide di lasciarli abilitati e se aggiorna con zypper dup), tu da che repo hai installato? potresti anche provare ad avviare gimp ex novo rinominando le cartelle ~/.gimp-* del profilo ed eventualmente a controllare su https://bugzilla.novell.com se ci sono bug simili.
Per gimp in italiano: magari manca il pacchetto gimp-lang?

Ritratto di flo70
flo70
(Junior)
Offline
Junior
Iscritto: 17/07/2012
Messaggi: 11

Grazie Aksaf per la risposta.
Per quanto riguarda Gimp Italiano effettivamente mancava il pacchetto Gimp-lang, problema risolto.
Per l'altro problema, ho usato il repository home:MargueriteSu:gimp-2.7. Ho provato come suggerito a rinominare le directory relative a gimp nella home ma il problema permane. Su https://bugzilla.novell.com non ho trovato nulla di simile.

Ho fatto un tentativo disinstallando completamente gimp e le relative librerie e cancellando le directory gimp-* dalla home.
ho poi eliminatoil repo di Marguerite su.
Ho reinstallato gimp 2.8 da home:/openSUSE_user1 ma il problema rimane, anzi si verifica anche con file apri e probabilmente con molti altri comandi:
posso aprire un file ad esempio da Dolphin click tasto destro >apri con...> gimp, ma poi il programma si chiude cliccando su molti dei comandi nei menù.

Ho provato ad avviare gimp da consolle, successivamente ad aprireun file con comando apri, il programma si è chiuso e questo è l'errore riportato:

floriano@linux-8537:~> gimp
gimp: symbol lookup error: /usr/lib64/gio/modules/libgioremote-volume-monitor.so: undefined symbol: g_mutex_lock

(script-fu:8418): LibGimpBase-WARNING **: script-fu: gimp_wire_read(): error
floriano@linux-8537:~>

come posso eventualmente trovare più informazioni sull'errore?

Ritratto di aksaf
aksaf
(Guru)
Offline
Guru
Iscritto: 08/03/2011
Messaggi: 957

Non saprei, hai provato a fare una ricerca con un motore di ricerca? in ogni caso potrebbe essere utile sapere la versione del pacchetto gvfs installato sul tuo sistema (yast>gestione pacchetti|cerca oppure

zypper if gvfs
)

[edit]
Per completezza, potresti incollare l'output di:

zypper se -is gimp

anche?
[/edit]
Wave

Ritratto di flo70
flo70
(Junior)
Offline
Junior
Iscritto: 17/07/2012
Messaggi: 11

Purtroppo con i motori di ricerca non ho trovato nulla di utile.
Ecco l'ouput dei due comandi suggeriti:

floriano@linux-8537:~> zypper if gvfs
Lettura dei dati del repository in corso...
Lettura dei pacchetti installati in corso...

Informazioni per pacchetto gvfs:

Repository: openSUSE-12.2 12.2-1.17
Nome: gvfs
Versione: 1.12.3-4.4
Arch: x86_64
Fornitore: openSUSE
Installato: Sì
Stato: aggiornato
Dimensione installata: 673,0 KiB
Sommario: VFS functionality for GLib
Descrizione:
VFS functionality for GLib.
floriano@linux-8537:~> zypper se -is gimp
Lettura dei dati del repository in corso...
Lettura dei pacchetti installati in corso...

S | Nome | Tipo | Versione | Arch | Repository
--+--------------------------+-----------+--------------+--------+------------------------
i | gimp | pacchetto | 2.8.0-20.3 | x86_64 | home:openSUSE_user1
i | gimp-branding-openSUSE | pacchetto | 12.2-14.7 | noarch | openSUSE-12.2 12.2-1.17
i | gimp-help-browser | pacchetto | 2.8.0-20.3 | x86_64 | home:openSUSE_user1
i | gimp-lang | pacchetto | 2.8.0-20.3 | noarch | home:openSUSE_user1
i | gimp-plugins-python | pacchetto | 2.8.0-20.3 | x86_64 | home:openSUSE_user1
i | inkscape-extensions-gimp | pacchetto | 0.48.3.1-6.2 | x86_64 | openSUSE-12.2 12.2-1.17
i | libgimp-2_0-0 | pacchetto | 2.8.0-20.3 | x86_64 | home:openSUSE_user1
i | libgimpui-2_0-0 | pacchetto | 2.8.0-20.3 | x86_64 | home:openSUSE_user1
floriano@linux-8537:~> Worried

Ritratto di aksaf
aksaf
(Guru)
Offline
Guru
Iscritto: 08/03/2011
Messaggi: 957

flo70 ha scritto:


Informazioni per pacchetto gvfs:

Repository: openSUSE-12.2 12.2-1.17
Nome: gvfs
Versione: 1.12.3-4.4
Arch: x86_64


dunque stai usando openSUSE 12.2 RC e non la 12.1 (in cui gvfs è alla versione 1.10.1-2.4.1, per inciso), come hai scritto in #15: in questo caso avevo letto in openSUSE news che avevano corretto un bug, ma più di tanto non so dirti. Se tra gli aggiornamenti della 12.2 gimp 2.8 ancora non c'è direi che come prima cosa devi accertarti di installarlo dal repo di openSUSE Factory;
ufficiale: https://build.opensuse.org/package/show?project=openSUSE%3AFactory&package=gimp
(o al limite GNOME:Apss https://build.opensuse.org/package/show?project=GNOME%3AApps&package=gimp ... vedi http://software.opensuse.org/search?q=gimp&baseproject=openSUSE%3AFactory&search_devel=false&search_unsupported=false )